ChangeSet 1.1587.12.80, 2004/05/05 16:43:11-07:00, Matt_Domsch@dell.com

[PATCH] PCI: PCI devices with no PCI_CACHE_LINE_SIZE implemented

On Wed, May 05, 2004 at 03:31:02PM -0700, Greg KH wrote:
> On Thu, Apr 29, 2004 at 02:53:01PM -0500, Matt Domsch wrote:
> > a) need this be a warning, wouldn't KERN_DEBUG suffice, if a message
> > is needed at all?  This is printed in pci_generic_prep_mwi().
>
> Yes, we should make that KERN_DEBUG.  I don't have a problem with that.
> Care to make a patch?


 drivers/pci/pci.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/pci/pci.c b/drivers/pci/pci.c
--- a/drivers/pci/pci.c	Mon May 17 16:57:43 2004
+++ b/drivers/pci/pci.c	Mon May 17 16:57:43 2004
@@ -640,7 +640,7 @@
 	if (cacheline_size == pci_cache_line_size)
 		return 0;
 
-	printk(KERN_WARNING "PCI: cache line size of %d is not supported "
+	printk(KERN_DEBUG "PCI: cache line size of %d is not supported "
 	       "by device %s\n", pci_cache_line_size << 2, pci_name(dev));
 
 	return -EINVAL;
